> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connections



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /api/mcp/connection/list
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /api/mcp/connection/list:
    get:
      tags:
        - MCP
      summary: List Connections
      operationId: list_connections_api_mcp_connection_list_get
      parameters:
        - name: org_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/McpConnectionListResponse'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
components:
  schemas:
    McpConnectionListResponse:
      properties:
        organization_id:
          type: string
          title: Organization Id
        databases:
          items:
            $ref: '#/components/schemas/McpConnectionInfo'
          type: array
          title: Databases
        saas_apps:
          items:
            $ref: '#/components/schemas/McpConnectionInfo'
          type: array
          title: Saas Apps
      type: object
      required:
        - organization_id
        - databases
        - saas_apps
      title: McpConnectionListResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    McpConnectionInfo:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        connector_type:
          type: string
          title: Connector Type
        source_type:
          type: string
          title: Source Type
        is_active:
          type: boolean
          title: Is Active
      type: object
      required:
        - id
        - name
        - connector_type
        - source_type
        - is_active
      title: McpConnectionInfo
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        details:
          additionalProperties: true
          type: object
          title: Details
      type: object
      required:
        - code
        - message
      title: ErrorDetail

````